KBDMAP(1)

NAME
kbdmap, vidfont - front end for syscons

SYNOPSIS
kbdmap [-K] [-V] [-d | -default] [-h | -help] [-l | -lang language] [-p | -print] [-r | -restore] [-s | -show] [-v | -verbose]

DESCRIPTION
kbdmap allows easy setting of available keymaps. The vidfont command allows the setting of fonts. Both examine a database for the keymaps and fonts. Descriptions are in English by default, but may also be in other languages.

It is strongly recommended to not choose MSDOS codepage keymaps or fonts. Use the ISO standard version if available! X11 does not support MSDOS codepage.

OPTIONS

-K  Run as command kbdmap(1).

-V  Run as command vidfont(1).

-d, -default
    Use default language. Ignore $LANG.

-h, -help
    Print options and exit.

-l, -lang language
    Use language for description and menu

-p, -print
    Print description of available keymaps or fonts to stdout and exit.

-r, -restore
    Load default font from /etc/rc.conf.

-s, -show
    Show currently supported languages and exit.

-v, -verbose
    More warnings.

ENVIRONMENT
LANG Prefered language.

FILES
/usr/share/syscons/keymaps/INDEX.keymaps
    Database for keymaps.
/usr/share/syscons/fonts/INDEX.fonts
    Database for fonts.
/etc/rc.conf
    Default font.
/usr/X11/lib/X11/locale/locale.alias
    Describe common LANG values.

BUGS
vidcontrol and kbdcontrol work only on a (virtual) console and not with X11.

SEE ALSO
dialog(1), kbdcontrol(1), vidcontrol(1), rc.conf(5)

HISTORY
The kbdmap and vidfont commands appeared in FreeBSD 2.1.

AUTHOR
Wolfram Schneider <wosch@FreeBSD.org>, Berlin.